import QtQuick
import QtQuick3D

Node {
    // Materials
    // end of Materials

    Node {
        id: rootNode
        Node {
            id: locator
            scale.x: 100
            scale.y: 100
            scale.z: 100
            Model {
                id: floor
                source: "meshes/floor.mesh"
                materials: [
                    default_material
                ]
            }
            Model {
                id: materialBall
                source: "meshes/materialBall.mesh"
                materials: [
                    material_Slot1_material,
                    material_Slot2_material
                ]
            }
        }
        PerspectiveCamera {
            id: camera
            y: 75
            z: 400
            rotation: Qt.quaternion(0.707107, 0, -0.707107, 0)
            clipNear: 0.1
            clipFar: 100
            fieldOfView: 1
            fieldOfViewOrientation: PerspectiveCamera.Horizontal
        }
        DirectionalLight {
            id: directional_Light
            x: -200
            y: 200
            z: 200
            rotation: Qt.quaternion(0.707107, -0.707107, 0, 0)
            brightness: 1.2
        }
    }

    Node {
        id: __materialLibrary__
        PrincipledMaterial {
            id: default_material
            baseColor: "#3a3a3a"
            roughness: 0.5
            objectName: "default_material"
        }

        PrincipledMaterial {
            id: material_Slot1_material
            baseColor: "#767676"
            clearcoatAmount: 1
            roughness: 0.2
            objectName: "material_Slot1_material"
        }

        PrincipledMaterial {
            id: material_Slot2_material
            baseColor: "#797979"
            clearcoatAmount: 1
            roughness: 0
            objectName: "material_Slot2_material"
        }
    }
}
